scim(1)

NAME
scim — smart common input method

SYNOPSIS
scim -l
scim [-c config] [-e|-ne engine] [-f frontend] [--no-socket] [-d]
scim -h

DESCRIPTION
Smart common input method (SCIM) is a platform for input methods. Input methods are useful for users who need to input characters that can't be represented by the keys or key combinations on the keyboard, and it's essential for languages that use ideograms, such as Chinese, Japanese and Korean (CJK), as their alphabets contain hundreds or thousands of characters.

This is the main program of SCIM platform. It can be used to invoke the input method as well as list available input method modules.

OPTIONS
Most options have both a short version and a long version, and they take the same arguments.

-c | --config module
    Use specified Config module.

-d | --daemon
    Run as a daemon. The program will exit and leave a daemon in the background if invoked with this option.

-e | --engines module[,module]...
    Use specified IMEngine modules. Only the named module(s) will be loaded, separate module names with comma.

-ne | --no-engines module[,module]...
    Use all IMEngine modules except specified ones. All modules except the named one(s) will be loaded, separate module names with comma.

-f | --frontend module
    Use specified FrontEnd module.

-h | --help
    Show summary of options.

-l | --list
    Print the version number and list all the available modules, categorized in three groups — FrontEnd, Config and IMEngine.

--no-socket
    Do not start a socket FrondEnd module.

ENVIRONMENT

XMODIFIERS
    Should be set to "@im=SCIM". Note that XMODIFIERS is case sensitive, and scim need uppercase. If you set it to lowercase, there will be no error message but scim won't work.

GTK_IM_MODULE
    GTK+ applications can use many different modules to connect with input methods, and SCIM can work in two different modes to provide input methods to GTK+ with two different modules. One is XIM mode, using the "xim" GTK IM module from GTK+ itself. The other is GTK IM mode, using the "scim" GTK IM module provided by SCIM platform. The environment variable GTK_IM_MODULE is used by GTK+ to specify which GTK IM module the application should use, to use SCIM's two modes, set GTK_IM_MODULE to "xim" or "scim" accordingly.

EXAMPLES
To use scim in XIM mode, execute the following commands in an X terminal (assuming Bourne style shell):
    XMODIFIERS="@im=SCIM"
    export XMODIFIERS
    GTK_IM_MODULE="xim"
    export GTK_IM_MODULE
    scim -d
    <program>
Now you can press Ctrl-space to activate scim in the program you just started from X terminal. To avoid the inconvenience of having to start the program from X terminal, make sure you set XMODIFIERS and GTK_IM_MODULE before starting your X session.

To use scim in GTK IM mode, just start any GTK+ application, then right click in the application, choose "Input Methods -> SCIM Input Method" in the pop-up menu, and scim should automatically start. Alternatively, you can use the following commands to set scim as the default GTK IM module (again assuming Bourne style shell):
    GTK_IM_MODULE="scim"
    export GTK_IM_MODULE
    <gtk-program>
Here scim will also automatically start when you start your GTK+ program. However, it's still a good idea to start scim explicitly even if you use GTK IM mode, because if only one application is using GTK IM mode, scim will automatically stop when you quit this application. Then when you start a new application, scim will start again, this can cause quite long delay for application start and quit, giving people the impression of "everything slows down when using scim".

The following command starts scim in daemon mode, using the simple configure module, Pinyin IM engine module, X11 frontend module:
    scim -c simple -e pinyin -f x11 --no-socket -d

FILES

/etc/scim/global, /etc/scim/config
    Configuration file for system wide settings

~/.scim/global, ~/.scim/config
    User specific settings

SEE ALSO
There is a brief English README giving some introduction and tips about SCIM, in Debian system it's installed in /usr/share/doc/scim/ and gzipped.

Debian users should also read the NEWS.Debian and README.Debian files in /usr/share/doc/scim/. There are also other README files in the same directory about using SCIM on a Debian system.

AUTHOR
SCIM platform is written by James Su and many other contributors.

This manual page is written by Osamu Aoki and Ming Hua for the Debian system, but hopefully it's also useful for other users. This document is distributed under the same license as the scim software package.